<div class="form-check-group form-check row-payments">
  {{ form_label(form.gateways) }}
  {% set identifier = '' %}
  {% for key,gateway in form.gateways.children %}
    {% set identifier =  '.' in gateway.vars.value ? gateway.vars.value|replace({'.': ""}) : gateway.vars.value %}
    <div class="card card-bg my-3" id="accordion-{{ identifier }}">
      <div class="card-body">
        <div class="top-icon">
          {% if gateway.vars.value == 'bollo' %}
            <svg class="icon icon-50">
              <use href="/bootstrap-italia/dist/svg/sprite.svg#it-fullscreen"></use>
            </svg>
          {% elseif identifier == 'mypay' or identifier == 'mypay20' %}
            <img class="icon w-auto" src="https://download.stanzadelcittadino.it/assets/img/gateways/mypay.png"
                 alt="{{ gateway.vars.value }}"/>
          {% elseif identifier in gateway.vars.value %}
            <img class="icon w-auto"
                 src="https://download.stanzadelcittadino.it/assets/img/gateways/{{ gateway.vars.value }}.png"
                 alt="{{ gateway.vars.value }}"/>
          {% else %}
            <svg class="icon icon-50">
              <use href="/bootstrap-italia/dist/svg/sprite.svg#it-card"></use>
            </svg>
          {% endif %}
        </div>
        <h4 class="mb-0">
          <div class="d-flex justify-content-between">
            {{ form_widget(gateway) }}
            {% if identifier == 'bollo' or identifier == 'mypay' %}
              <button type="submit" class="btn {{ gateway.vars.checked ? 'btn-danger' : 'btn-primary' }} float-right"
                      data-parent="gateways_{{ key }}">
                {{ gateway.vars.checked ? 'not_enable' | trans  : 'enable' | trans }} </button>
            {% else %}
              <button type="submit" class="d-none" data-identifier="submit_{{ identifier }}"
                      data-parent="gateways_{{ key }}"></button>

              <button type="button" class="btn {{ gateway.vars.checked ? 'btn-danger inactive' : 'btn-primary active' }}  float-right"
                      data-parent="gateways_{{ key }}" data-identifier="ente_gateways_{{ identifier }}">
                {{ gateway.vars.checked ? 'not_enable' | trans  : 'enable' | trans }} </button>

            {% endif %}
            {{ form_label(gateway) }}
            {{ form_errors(gateway) }}
          </div>
        </h4>
      </div>
      {% if identifier != 'bollo' %}
        <div class="collapse-header" id="heading-{{ identifier }}">
          <button type="button" data-toggle="collapse" data-target="#collapse-{{ identifier }}" aria-expanded="false"
                  aria-controls="collapse-{{ identifier }}">
            {{ 'servizio.show_parameters' | trans }}
          </button>
        </div>
      {% endif %}
      {% if identifier != 'bollo' and identifier != 'mypay' %}
        <div id="collapse-{{ identifier }}" class="collapse"
             aria-labelledby="heading-{{ identifier }}" data-parent="#accordion-{{ identifier }}">
          <div class="card-body" id="card-collapse-{{ identifier }}"></div>
        </div>
      {% elseif identifier == 'mypay' and gateway.vars.data %}
        <div id="collapse-{{ identifier }}" class="collapse"
             aria-labelledby="heading-{{ identifier }}" data-parent="#accordion-{{ identifier }}">
          <div class="card-body" id="card-collapse-{{ identifier }}">
            {{ form_row(form.mypay) }}
            <div>
              <button type="submit" id="ente_save" class="btn-primary btn">{{ 'salva'|trans }}</button>
            </div>
          </div>
        </div>
      {% endif %}
    </div>
  {% endfor %}
</div>
